public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/tripwire/
Date: Sat, 26 Dec 2015 01:14:13 +0000 (UTC)	[thread overview]
Message-ID: <1451092866.6c01df4c7a902271246dd2dd521044029d2cbd13.blueness@gentoo> (raw)

commit:     6c01df4c7a902271246dd2dd521044029d2cbd13
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 26 01:21:06 2015 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Dec 26 01:21:06 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c01df4c

app-admin/tripwire: add libressl support

Package-Manager: portage-2.2.24

 app-admin/tripwire/tripwire-2.4.2.2-r4.ebuild | 85 +++++++++++++++++++++++++++
 1 file changed, 85 insertions(+)

diff --git a/app-admin/tripwire/tripwire-2.4.2.2-r4.ebuild b/app-admin/tripwire/tripwire-2.4.2.2-r4.ebuild
new file mode 100644
index 0000000..7345b9c
--- /dev/null
+++ b/app-admin/tripwire/tripwire-2.4.2.2-r4.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="Open Source File Integrity Checker and IDS"
+HOMEPAGE="http://www.tripwire.org/"
+SRC_URI="mirror://sourceforge/tripwire/tripwire-${PV}-src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE="libressl ssl static +tools"
+
+DEPEND="sys-devel/automake
+	sys-devel/autoconf
+	ssl? (
+		!libressl? ( dev-libs/openssl:0 )
+		libressl? ( dev-libs/libressl )
+	)"
+RDEPEND="virtual/cron
+	virtual/mta
+	ssl? ( dev-libs/openssl )"
+PDEPEND="tools? ( app-admin/mktwpol )"
+
+S="${WORKDIR}"/tripwire-"${PV}"-src
+
+src_prepare() {
+	epatch "${FILESDIR}"/"${P}"-fix-configure.patch
+	epatch "${FILESDIR}"/"${P}"-buildnum.patch
+	epatch "${FILESDIR}"/"${P}"-gcc-4.7.patch
+	epatch "${FILESDIR}"/"${PN}"-twpol-GENERIC.patch
+	epatch "${FILESDIR}"/"${P}"-exception-shadowing.patch
+
+	mv configure.in configure.ac || die
+	eautoreconf
+}
+
+src_configure() {
+	# tripwire can be sensitive to compiler optimisation.
+	# see #32613, #45823, and others.
+	# 	-taviso@gentoo.org
+	strip-flags
+	append-cppflags -DCONFIG_DIR='"\"/etc/tripwire\""' -fno-strict-aliasing
+	econf $(use_enable ssl openssl) $(use_enable static)
+}
+
+src_install() {
+	dosbin "${S}"/bin/{siggen,tripwire,twadmin,twprint}
+	doman "${S}"/man/man{4/*.4,5/*.5,8/*.8}
+	dodir /etc/tripwire /var/lib/tripwire{,/report}
+	keepdir /var/lib/tripwire{,/report}
+
+	exeinto /etc/cron.daily
+	doexe "${FILESDIR}"/tripwire
+
+	dodoc ChangeLog policy/policyguide.txt TRADEMARK \
+		"${FILESDIR}"/tripwire.txt
+
+	insinto /etc/tripwire
+	doins "${FILESDIR}"/twcfg.txt policy/twpol-GENERIC.txt
+
+	fperms 750 /etc/cron.daily/tripwire
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "Tripwire needs to be configured before its first run. You can"
+		elog "do this by manually editing the twpol-GENERIC.txt file shipped with"
+		elog "the package to suit your needs. A quickstart guide is provided"
+		elog "in tripwire.txt file to help you with this."
+		elog "To configure tripwire automatically, you can use the twsetup.sh"
+		elog "script provided by the app-admin/mktwpol package. This package is"
+		elog "installed for you by the \"tools\" USE flag (which is enabled by"
+		elog "default."
+else
+		elog "Maintenance of tripwire policy files as packages are added"
+		elog "and deleted from your system can be automated by the mktwpol.sh"
+		elog "script provided by the app-admin/mktwpol package. This package"
+		elog "is installed for you if you append \"tools\" to your USE flags"
+	fi
+}


             reply	other threads:[~2015-12-26  1:14 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-26  1:14 Anthony G. Basile [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-01-25 15:44 [gentoo-commits] repo/gentoo:master commit in: app-admin/tripwire/ Agostino Sarubbo
2016-03-21 21:31 Anthony G. Basile
2016-05-03 10:50 José María Alonso
2016-05-19 13:04 José María Alonso
2016-06-10 15:32 Agostino Sarubbo
2017-02-02 10:40 José María Alonso
2017-02-25 10:41 José María Alonso
2017-03-06 11:23 José María Alonso
2017-04-04 13:30 José María Alonso
2017-04-05 12:55 Agostino Sarubbo
2017-04-06  7:46 José María Alonso
2017-04-17  8:02 Agostino Sarubbo
2017-04-18 21:04 José María Alonso
2017-04-29 15:02 Agostino Sarubbo
2017-05-04  8:49 José María Alonso
2017-05-04 13:07 Agostino Sarubbo
2017-05-04 15:55 Agostino Sarubbo
2017-05-18 19:14 Michael Weber
2017-05-19  8:20 José María Alonso
2017-10-02 16:03 José María Alonso
2017-11-02 21:16 Thomas Deutschmann
2017-11-03 11:54 Manuel Rüger
2017-11-10  8:30 Sergei Trofimovich
2018-04-01 20:13 José María Alonso
2018-04-01 20:39 José María Alonso
2018-05-02 16:33 Thomas Deutschmann
2018-05-04 10:52 Agostino Sarubbo
2018-05-26  8:56 Mikle Kolyada
2018-05-28  9:05 José María Alonso
2019-01-07 17:00 Lars Wendler
2021-04-30 17:10 Mikle Kolyada
2021-06-15  1:22 Sam James
2021-06-15  4:45 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451092866.6c01df4c7a902271246dd2dd521044029d2cbd13.blueness@gentoo \
    --to=blueness@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox